FTS-REST 3.2.33 - Mon Mar 30 2015
=================================

## Improvement sub-task
* [[FTS-207]](https://its.cern.ch/jira/browse/FTS-207) - Improve performance of job listing
* [[FTS-214]](https://its.cern.ch/jira/browse/FTS-214) - Select the best replica at submission
* [[FTS-215]](https://its.cern.ch/jira/browse/FTS-215) - Forbid combined multireplica jobs

## Bug
* [[FTS-208]](https://its.cern.ch/jira/browse/FTS-208) - Reduce memory consumption
* [[FTS-209]](https://its.cern.ch/jira/browse/FTS-209) - Avoid updates of t_optimize_active on submission

FTS-REST 3.2.32 - Mon Mar 30 2015
=================================

## Improvement sub-task
* [[FTS-180]](https://its.cern.ch/jira/browse/FTS-180) - Allow to list banned DNs and SEs
* [[FTS-181]](https://its.cern.ch/jira/browse/FTS-181) - Add API to enable/disable debugging for se/pair
* [[FTS-182]](https://its.cern.ch/jira/browse/FTS-182) - Add API support for configuration via REST

## Bug
* [[FTS-188]](https://its.cern.ch/jira/browse/FTS-188) - On submission, update tables in the same order as FTS3
* [[FTS-197]](https://its.cern.ch/jira/browse/FTS-197) - Avoid to return info for user info in /cs/access_request/{service}
* [[FTS-200]](https://its.cern.ch/jira/browse/FTS-200) - Do not return all information about the cloud storage when checking if the user is registered for it

## Epic
* [[FTS-179]](https://its.cern.ch/jira/browse/FTS-179) - Allow configuration via REST

## Improvement
* [[FTS-185]](https://its.cern.ch/jira/browse/FTS-185) - Add time_window parameter to job listing
* [[FTS-205]](https://its.cern.ch/jira/browse/FTS-205) - Allow specifying the priority on submission time

## New Feature
* [[FTS-184]](https://its.cern.ch/jira/browse/FTS-184) - Authorize a set of DNs for configuration without VO extensions

FTS-REST 3.2.31 - Tue Jan 06 2015
=================================

## Bug
* [[FTS-161]](https://its.cern.ch/jira/browse/FTS-161) - Use first DN instead of last for "user-bound" vos
* [[FTS-174]](https://its.cern.ch/jira/browse/FTS-174) - When canceling a job, do not set job_finished
* [[FTS-176]](https://its.cern.ch/jira/browse/FTS-176) - With the http.py authn method, it is easy to impersonate anybody else
* [[FTS-177]](https://its.cern.ch/jira/browse/FTS-177) - Data management: Dropbox may not be enabled

## Improvement
* [[FTS-165]](https://its.cern.ch/jira/browse/FTS-165) - Add a generic action for OPTIONS request

FTS-REST 3.2.30 - Tue Nov 18 2014 
=================================

## Bug
* [[FTS-150]](https://its.cern.ch/jira/browse/FTS-150) - Database timeout connection is not properly handled when connected to Galera Cluster
* [[FTS-153]](https://its.cern.ch/jira/browse/FTS-153) - Do not send to staging anything that is not SRM
* [[FTS-157]](https://its.cern.ch/jira/browse/FTS-157) - With multiple replica jobs, forbid pin lifetime and bring online

## New Feature
* [[FTS-147]](https://its.cern.ch/jira/browse/FTS-147) - Job status bulk queries

## Task
* [[FTS-122]](https://its.cern.ch/jira/browse/FTS-122) - Validate fts-rest compatibility with voms-client v3
* [[FTS-148]](https://its.cern.ch/jira/browse/FTS-148) - Disable SSLv3 in the configuration
* [[FTS-149]](https://its.cern.ch/jira/browse/FTS-149) - If a file appears multiple times in bulk submission for deletion or bring-online it should be assured that only unique files go to DB

FTS-REST 3.2.28 - Wed Oct 08 2014
=================================

## Bug
  * [[FTS-102]](https://its.cern.ch/jira/browse/FTS-102) - Error: Can't reconnect until invalid transaction is rolled back 

## Improvement
  * [[FTS-137]](https://its.cern.ch/jira/browse/FTS-137) - Let users get a subset of fields from files when querying a job
  * [[FTS-139]](https://its.cern.ch/jira/browse/FTS-139) - Allow bulk cancellation
  * [[FTS-144]](https://its.cern.ch/jira/browse/FTS-144) - Mark multiple replicas jobs with R
 
## New Feature
  * [[FTS-109]](https://its.cern.ch/jira/browse/FTS-109) - Implement deletion API
  * [[FTS-146]](https://its.cern.ch/jira/browse/FTS-146) - Bring up to date the t_optimize_active updating on submission

## Task
  * [[FTS-138]](https://its.cern.ch/jira/browse/FTS-146) - REST API extensions: unlink,rmdir,mkdir, rename
  * [[FTS-142]](https://its.cern.ch/jira/browse/FTS-142) - fts-rest in epel7
  * [[FTS-145]](https://its.cern.ch/jira/browse/FTS-145) - Bring online jobs should all land into the same host

FTS-REST 3.2.27 - Tue Sep 23 2014
=================================

## Bug
  * [[FTS-114]](https://its.cern.ch/jira/browse/FTS-114) - OPTIONS to some resources (i.e. /jobs) return 404 instead of the methods

## Epic
  * [[FTS-120]](https://its.cern.ch/jira/browse/FTS-120) - Dropbox support

## Improvement
  * [[FTS-118]](https://its.cern.ch/jira/browse/FTS-118) - OAuth2 support should be optional
  * [[FTS-133]](https://its.cern.ch/jira/browse/FTS-133) - OAuth2: Allow plain http redirection if the host is localhost
  * [[FTS-134]](https://its.cern.ch/jira/browse/FTS-134) - OAuth2: If the user already granted permission to the application, skip the form

## New Feature
  * [[FTS-111]](https://its.cern.ch/jira/browse/FTS-111) - Allow user to limit job query by absolute number instead of default time window
  * [[FTS-117]](https://its.cern.ch/jira/browse/FTS-117) - Add OAuth2 provider functionality to REST
  * [[FTS-124]](https://its.cern.ch/jira/browse/FTS-124) - Provide built-in delegation web form
  * [[FTS-136]](https://its.cern.ch/jira/browse/FTS-136) - Add voms info when querying a given delegation

## Task
  * [[FTS-121]](https://its.cern.ch/jira/browse/FTS-121) - Pass protocol parameters via REST

## User documentation
  * [[FTS-110]](https://its.cern.ch/jira/browse/FTS-110) - Provide man pages for the rest cli

FTS-REST 3.2.26 - Thu Aug 07 2014
=================================

## Bug
  * [[FTS-87]](https://its.cern.ch/jira/browse/FTS-87) - REST does not set the file's job_finished and finished_time when canceling
  * [[FTS-88]](https://its.cern.ch/jira/browse/FTS-88) - For jobs with multiple replicas, each file index must be mapped to one single hashed id
  * [[FTS-95]](https://its.cern.ch/jira/browse/FTS-95) - REST: Default configuration is way too verbose
  * [[FTS-96]](https://its.cern.ch/jira/browse/FTS-96) - REST: Expects option optimizer in fts3config, but it may not be there
  * [[FTS-101]](https://its.cern.ch/jira/browse/FTS-101) - selinux doesn't let logging do the logrotate
  * [[FTS-102]](https://its.cern.ch/jira/browse/FTS-102) - Error: Can't reconnect until invalid transaction is rolled back

## Improvement
  * [[FTS-98]](https://its.cern.ch/jira/browse/FTS-98) - Remove protocol pair limitations
  * [[FTS-99]](https://its.cern.ch/jira/browse/FTS-99) - Remove limitation of the job list lenght
  * [[FTS-106]](https://its.cern.ch/jira/browse/FTS-106) - Optimize REST queries

## New Feature
  * [[FTS-74]](https://its.cern.ch/jira/browse/FTS-74) - Rest: Make sure rfc proxies are supported
  * [[FTS-84]](https://its.cern.ch/jira/browse/FTS-84) - LHCb request: blacklisting support using REST cli and libs
  * [[FTS-85]](https://its.cern.ch/jira/browse/FTS-85) - LHCb request: snapshot support using REST cli and libs
  * [[FTS-97]](https://its.cern.ch/jira/browse/FTS-97) - Add source and destination to transfer list filters
  * [[FTS-103]](https://its.cern.ch/jira/browse/FTS-103) - Hack: Use agent_dn to mark submissions received by REST
  * [[FTS-105]](https://its.cern.ch/jira/browse/FTS-105) - Allow to skip the certificate validation in the REST client impl

FTS-REST 3.2.3 - Wed Apr 30 2015
================================

## Bug
  * [[FTS-30]](https://its.cern.ch/jira/browse/FTS-30) - Validate that the proxy is properly signed
  * [[FTS-35]](https://its.cern.ch/jira/browse/FTS-35) - When listing a davs:// endpoint, delegation stop working
  * [[FTS-60]](https://its.cern.ch/jira/browse/FTS-60) - WebDAV third party copy delegation is broken
  * [[FTS-67]](https://its.cern.ch/jira/browse/FTS-67) - REST CLI does not send properly formed json metadata

## Improvement
  * [[FTS-27]](https://its.cern.ch/jira/browse/FTS-27) - Answer with 419 Authentication Timeout when a new delegation is needed
  * [[FTS-31]](https://its.cern.ch/jira/browse/FTS-31) - Use random distribution for hashed_id
  * [[FTS-33]](https://its.cern.ch/jira/browse/FTS-33) - In submission, insert OptimizerActive only for unique (source_se, dest_se)
  * [[FTS-34]](https://its.cern.ch/jira/browse/FTS-34) - In submission, use bulk inserts
  * [[FTS-36]](https://its.cern.ch/jira/browse/FTS-36) - Delegation id must be generated using all fqans
  * [[FTS-66]](https://its.cern.ch/jira/browse/FTS-66) - REST CLI doesn't work in SL5
  * [[FTS-76]](https://its.cern.ch/jira/browse/FTS-76) - Improve rest client error handling

## New Feature
  * [[FTS-24]](https://its.cern.ch/jira/browse/FTS-24) - VOMS proxy support
  * [[FTS-69]](https://its.cern.ch/jira/browse/FTS-69) - REST is missing multihop submissions

## Task
  * [[FTS-26]](https://its.cern.ch/jira/browse/FTS-26) - Improve logging for REST
  * [[FTS-29]](https://its.cern.ch/jira/browse/FTS-29) - selinux rpm for test must let apache run voms-proxy-init and create the proxy
  * [[FTS-32]](https://its.cern.ch/jira/browse/FTS-32) - Check queries being generated by SqlAlchemy
  * [[FTS-75]](https://its.cern.ch/jira/browse/FTS-75) - REST: Provide reference Python functions for LHCb

## User documentation
  * [[FTS-25]](https://its.cern.ch/jira/browse/FTS-25) - Improve REST API documentation
