FTS-REST 3.4.2 - Wed May 18 2016
================================

## Bug
* [[FTS-539]](https://its.cern.ch/jira/browse/FTS-539) - Provide a 409 error code for sid duplication instead of 500.
* [[FTS-548]](https://its.cern.ch/jira/browse/FTS-548) - Failure to submit when a job combines banned and non banned storages
* [[FTS-561]](https://its.cern.ch/jira/browse/FTS-561) - Missing 'STARTED' in FileActiveStates

## Improvement
* [[FTS-247]](https://its.cern.ch/jira/browse/FTS-435) - Return 503 instead of blocking if the server/db is highly load.

FTS-REST 3.4.1 - Fri Jan 22 2016
================================

## Bug
* [[FTS-376]](https://its.cern.ch/jira/browse/FTS-376) - Error when submitting a job via Webfts in Firefox
* [[FTS-430]](https://its.cern.ch/jira/browse/FTS-430) - Explicitly request application/json on the configuration web UI
* [[FTS-441]](https://its.cern.ch/jira/browse/FTS-441) - Use "READ COMMITTED" isolation level
* [[FTS-443]](https://its.cern.ch/jira/browse/FTS-443) - Make sure transactions are closed when the session falls out of scope

## Task 
* [[FTS-372]](https://its.cern.ch/jira/browse/FTS-372) - Namespaced uuid version 5 for Atlas

## New Feature
* [[FTS-344]](https://its.cern.ch/jira/browse/FTS-344) - new\_staging\_job in easy rest interface

FTS-REST 3.4.0 - Wed Dec 09 2015
================================
## Bug
* [[FTS-269]](https://its.cern.ch/jira/browse/FTS-269) - /jobs/<job-id>/files leaks db connections
* [[FTS-270]](https://its.cern.ch/jira/browse/FTS-270) - IntegrityError on submission when another job inserted the same storage pair in t_optimizer_active
* [[FTS-282]](https://its.cern.ch/jira/browse/FTS-282) - REST CLI: -K is a flag, but it is expecting a value
* [[FTS-291]](https://its.cern.ch/jira/browse/FTS-291) - Forbid reuse jobs with different hosts
* [[FTS-296]](https://its.cern.ch/jira/browse/FTS-296) - Use SHA256 for signing certificate request
* [[FTS-297]](https://its.cern.ch/jira/browse/FTS-297) - When un-banning a storage, need to set wait_timestamp to Null
* [[FTS-307]](https://its.cern.ch/jira/browse/FTS-307) - Delegation on Oracle fails with a 500 when there is an existing credential in the cache
* [[FTS-341]](https://its.cern.ch/jira/browse/FTS-341) - voms_attrs empty for voms proxies delegated to FTS
* [[FTS-342]](https://its.cern.ch/jira/browse/FTS-342) - When using RFC proxies in http authentication the user_dn is incorrect
* [[FTS-358]](https://its.cern.ch/jira/browse/FTS-358) - FTS REST APIs do not  support alternative ca certificates locations
* [[FTS-394]](https://its.cern.ch/jira/browse/FTS-394) - Connection validation must be called on checkout

## Configuration Change
* [[FTS-289]](https://its.cern.ch/jira/browse/FTS-289) - Allow bring online jobs for mock://

## Improvement
* [[FTS-247]](https://its.cern.ch/jira/browse/FTS-247) - Use sqlalchemy 0.8 available in epel6
* [[FTS-254]](https://its.cern.ch/jira/browse/FTS-254) - Allow to enable IPv6 at submission time
* [[FTS-274]](https://its.cern.ch/jira/browse/FTS-274) - Add --capath to the fts rest CLI
* [[FTS-293]](https://its.cern.ch/jira/browse/FTS-293) - Expose deletion jobs in the easy API
* [[FTS-299]](https://its.cern.ch/jira/browse/FTS-299) - REST Client: If X509_USER_PROXY is not present, try with the default location
* [[FTS-300]](https://its.cern.ch/jira/browse/FTS-300) - Allow to modify a job priority while it is on the queue
* [[FTS-301]](https://its.cern.ch/jira/browse/FTS-301) - Add a tool that evaluates if a host is still running something
* [[FTS-312]](https://its.cern.ch/jira/browse/FTS-312) - When accessing with the host cert, grant full permissions
* [[FTS-405]](https://its.cern.ch/jira/browse/FTS-405) - Migrate from pycurl to 'requests' 

## Incident
* [[FTS-365]](https://its.cern.ch/jira/browse/FTS-365) - Status of ATLAS Canceled jobs @RAL and @CERN cannot be queried via REST

## New Feature
* [[FTS-221]](https://its.cern.ch/jira/browse/FTS-221) - Allow to retrieve files/jobs with a given destination surl
* [[FTS-234]](https://its.cern.ch/jira/browse/FTS-234) - Small tool that queries monitoring to see active limits
* [[FTS-272]](https://its.cern.ch/jira/browse/FTS-272) - Activity shares missing in the REST config API
* [[FTS-290]](https://its.cern.ch/jira/browse/FTS-290) - Expose retry_delay on submission
* [[FTS-316]](https://its.cern.ch/jira/browse/FTS-316) - New algorithms to select best replica at submission time
* [[FTS-321]](https://its.cern.ch/jira/browse/FTS-321) - REST CLI: Use hostcert.pem/hostkey.pem and localhost if no parameters are specified

## Task
* [[FTS-266]](https://its.cern.ch/jira/browse/FTS-266) - Add FTS dropbox/s3 configuration to FTS Web Management interface
* [[FTS-268]](https://its.cern.ch/jira/browse/FTS-268) - Enable by default ExportCertData
* [[FTS-317]](https://its.cern.ch/jira/browse/FTS-317) - Add order by descending finish_time when showing jobs and a limit is specified
* [[FTS-320]](https://its.cern.ch/jira/browse/FTS-320) - Extend HTTP authorization to accept proxy chain
* [[FTS-356]](https://its.cern.ch/jira/browse/FTS-356) - need REST equivalent of gSOAP ifce cancelAll
